# Export/Import repositories from the filesystem of a Bitbucket Server/Data Center instance
Note that it is preferred that you use https://bitbucket.org/michaelchwalker/migrate-bitbucket-server-cloud/src/master/ if your server/dc instance is up and available as this will be much more precise.

# Usage
Edit the "migrate_from_filesystem.py" file and update the fields surrounded in comments after the import lines with your respective details. Follow the commented links if you have any questions.

Once edited, install the python dependencies via the following steps 

        # Creates a python virtual environment
        python3 -m venv venv
        
        # Linux (activates the venv)
        source ./venv/bin/activate

        # Windows (activates the venv)
        .\venv\Scripts\activate

        # Installs python dependencies
        pip3 install -r requirements.txt

        # Runs the script
        python3 migrate_from_filesystem.py

Check for a "failure.txt" file in the local directory as it will provide any details about failed repo pushes

# Requirements
Python 3.6+
